<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.AppBarLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/chat_app_bar"
    android:layout_width="match_parent"
    android:layout_height="?attr/actionBarSize"
    android:background="@color/colorWhite"
    tools:context=".page.chat.BaseChatActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:id="@+id/chat_toolbar_back_arrow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="15dp"
            android:layout_marginStart="15dp"
            android:contentDescription="@null"
            android:padding="5dp"
            android:src="@drawable/back" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/chat_toolbar_image_view"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_centerVertical="true"
            android:layout_marginEnd="10dp"
            android:layout_marginLeft="66dp"
            android:layout_marginRight="10dp"
            android:layout_marginStart="66dp"
            android:contentDescription="@null"
            tools:src="@drawable/avatar" />

        <TextView
            android:id="@+id/chat_toolbar_single_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toEndOf="@+id/chat_toolbar_image_view"
            android:layout_toRightOf="@+id/chat_toolbar_image_view"
            android:textColor="@color/colorBlack"
            android:textSize="15sp"
            android:textStyle="bold"
            android:visibility="gone"
            tools:text="Sample title" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toEndOf="@+id/chat_toolbar_image_view"
            android:layout_toLeftOf="@+id/chat_toolbar_extra_image"
            android:layout_toRightOf="@+id/chat_toolbar_image_view"
            android:layout_toStartOf="@+id/chat_toolbar_extra_image"
            android:orientation="vertical">

            <TextView
                android:id="@+id/chat_toolbar_group_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="top"
                android:textColor="@color/colorBlack"
                android:textSize="15sp"
                android:textStyle="bold"
                android:visibility="gone"
                tools:text="Group title" />

            <TextView
                android:id="@+id/chat_toolbar_group_members"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:gravity="top"
                android:maxLines="1"
                android:textColor="@color/colorManatee"
                android:textSize="11sp"
                android:visibility="gone"
                tools:ignore="SmallSp"
                tools:text="Group title" />
        </LinearLayout>

        <ImageView
            android:id="@+id/chat_toolbar_extra_image"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginEnd="11dp"
            android:layout_marginRight="11dp"
            android:contentDescription="@null"
            android:padding="5dp"
            tools:src="@drawable/call" />
    </RelativeLayout>
</android.support.design.widget.AppBarLayout>
